package com.chinaitop.depot.intelligent.basicdata.service;



import com.chinaitop.depot.intelligent.basicdata.model.MonitorAlarmPhone;
import com.chinaitop.depot.intelligent.basicdata.model.MonitorAlarmPhoneExample;

import java.util.List;

/**
 * 报警设置接收人，接收角色，接收电话
 */
public interface AlarmService {

    /**
     * 获取电话数据
     * @return
     */
    List<MonitorAlarmPhone> getAlarmPhone(MonitorAlarmPhoneExample example);

    /**
     * 保存当前数据
     * @param monitorSettingPath
     */
    void saveAlarmPhone(MonitorAlarmPhone monitorSettingPath);

    /**
     * 删除数据
     * @param alarmId
     */
    void deleteAlarmPhone(Integer alarmId);

    /**
     * 获取所有电话数据
     * @return
     */
    List<MonitorAlarmPhone> getAllAlarmPhone();

    /**
     * 根据orgid查出库点所有电话
     *
     */
    List<MonitorAlarmPhone> queryAlarmPhoneByOrgid(Integer orgid);

    /**
     * 根据id查出电话
     *
     */
    MonitorAlarmPhone getByIdAlarmPhone (Integer alarmId);

    /**
     *校验发送人和发送手机
     *
     */
    boolean getByNameOrtpl(String alarmMan, String alarmPhone);
}
